﻿@model List<JavnaNabava.Model.KonzorcijDetailsDTO>

@{
    ViewData["Title"] = "KonzorcijDetails";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Detalji za @ViewBag.Naziv</h1>

<p>
    <small>
    Ova stranica prikazuje Detail, tvrtke od kojih se konzorcij sastoji. Stranica prikazuje sve atribute 
    tablice Tvrtka. Strani ključevi tablice su stvarne vrijednosti, a ne Id-evi. Na dnu se nalaze dva linka, jedan za povratak na popis konzorcija,
    drugi za dodavanje nove tvrtke u taj konzorcij.
    </small>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                OIB tvrtke
            </th>
            <th>
                Naziv tvrtke
            </th>
            <th>
                Adresa
            </th>
            <th>
                Mjesto
            </th>
            <th>
                Djelatnost
            </th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.tvrtka.Oib)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.tvrtka.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.tvrtka.Adresa)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.mjesto.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.djelatnost.Naziv)
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="AddTvrtka" asp-route-Oib="@ViewBag.Oib">Dodaj tvrtku u konzorcij</a>
</p>
<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

